Bug 619790 - honour the legacy AC_LIBLTDL_CONVENIENCE macro
honour the legacy AC_LIBLTDL_CONVENIENCE macro
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autoconf (Show other bugs)
15
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 10:38 EDT by Enrique
Modified: 2012-08-07 15:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 532762
Environment:
Last Closed: 2012-08-07 15:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
OpenSuse 11.1 patch (866 bytes, application/octet-stream)
2010-07-30 10:38 EDT, Enrique
no flags Details
example package which shows the problem (751.48 KB, application/x-gzip)
2011-08-19 11:31 EDT, Enrique
no flags Details

  None (edit)
Description Enrique 2010-07-30 10:38:37 EDT
Created attachment 435571 [details]
OpenSuse 11.1 patch

+++ This bug was initially created as a clone of Bug #532762 +++

Description of problem:

 autoreconf reruns libtool with the --libltdl option if macro LT_CONFIG_LTDL_DIR is present in configure.ac. However the old macro style was AC_LIBLTDL_CONVENIENCE and this syntax is still found in some packages that have to be compiled in old operating systems. In our case, the package esorex  has to run in legacy Fedora 6 and current Fedora 13, so they new macro cannot be used. The problem is that the current autoconf ignores AC_LIBLTDL_CONVENIENCE.
 In fact, OpenSuSe 11.1 provides a patch for autoreconf (see attachment autoreconf-ltdl.diff) that does exactly that, in order not to break backwards compatibility.

Version-Release number of selected component (if applicable):
autoconf (GNU Autoconf) 2.65

How reproducible:

 Always

Steps to Reproduce:
1. Create a project which uses the libltdl tool. Use the macro AC_LIBLTDL_CONVENIENCE in configure.ac 
2. Run autoreconf -if 
3. Run ./configure

  
Actual results:

Configure issues the following messaage:
=== configuring in libltdl (/demo-package-src/libltdl)
configure: WARNING: no configuration information is in libltdl

And unfortunately no Makefile is created.
Moreover, the libltdl is empty, while it should be filled with the libltdl library.

Expected results:

 ./configure should run cleanly and create a Makefile.
 In Fedora 6 that works without problems.

Additional info:

 The esorex package can be used as a test for that (https://admin.fedoraproject.org/pkgdb/packages/name/esorex?_csrf_token=7f1e2ccecbdc86e5954105a181f43fbc5f1cf3de)
 Package esorex is the one which is actually giving us problems.
Comment 1 Enrique 2011-08-19 11:31:58 EDT
Created attachment 519058 [details]
example package which shows the problem
Comment 2 Enrique 2011-08-19 11:32:49 EDT
 Any progress on this ticket?
 I have a added an attachment with esorex 3.9.0, a package where the problem can be reproduced.

 Regards
Comment 3 Fedora End Of Life 2012-08-07 15:33:46 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.